/*
** $Id: rfc2045_fromfp.c,v 1.1 1999/01/04 05:14:12 mrsam Exp $
*/
#include	"rfc2045.h"

/* Convert a message to the RFC2045 structure */

struct rfc2045 *rfc2045_fromfp(FILE *fp)
{
struct	rfc2045	*rfc;
char	buf[512];
int	n;

	if (fseek(fp, 0L, SEEK_SET) == -1)	return (NULL);
	if ((rfc=rfc2045_alloc(fp)) == 0)	return (NULL);

	while ((n=fread(buf, 1, sizeof(buf), fp)) > 0)
		rfc2045_parse(rfc, buf, n);
	return (rfc);
}
