//
// C++ interface to libgdbm

#ifndef	gdbmobj_h
#define	gdbmobj_h

static const char gdbmobj_h_rcsid[]="$Id: gdbmobj.h,v 1.2 1999/02/18 01:06:48 mrsam Exp $";

#include	"gdbm.h"

#include	<stdlib.h>

class GdbmObj {
	GDBM_FILE	dbf;
	int		has_dbf;

	GdbmObj(const GdbmObj &);			// Undefined
	GdbmObj	&operator=(const GdbmObj &);		// Undefined
	char	*do_fetch(const char *, size_t, size_t &);
public:
	GdbmObj();
	~GdbmObj()	{ Close(); }
	int	Open(const char *, const char *);
	void	Close();
	char	*Fetch(const char *, size_t, size_t &, const char *);
	int	Store(const char *, size_t, const char *, size_t,
			const char *);
} ;

#endif
