/*
** $Id: rfc822_getaddrs.c,v 1.1 1999/01/04 05:14:12 mrsam Exp $
*/
#include	"rfc822.h"
#include	<stdlib.h>

static size_t addrbuflen;
static char	*addrbuf;

static void cntlen(char c)
{
	c=c;
	++addrbuflen;
}

static void cntlensep(const char *p)
{
	while (*p)	cntlen(*p++);
}

static void saveaddr(char c)
{
	addrbuf[addrbuflen++]=c;
}

static void saveaddrsep(const char *p)
{
	while (*p)	saveaddr(*p++);
}

char *rfc822_getaddrs(const struct rfc822 *rfc)
{
	addrbuflen=0;
	rfc822_print(rfc, &cntlen, &cntlensep);
	if (!(addrbuf=malloc(addrbuflen+1)))
		return (0);

	addrbuflen=0;
	rfc822_print(rfc, &saveaddr, &saveaddrsep);
	addrbuf[addrbuflen]=0;
	return (addrbuf);
}

